<?php

#антимат сделает автоматическое предупреждение, а затем бан

function antimat($str) {
    global $user, $time, $set;
    if ($set['antimat']) {
        $antimat = empty($_SESSION['antimat']) ? null : $_SESSION['antimat'];
        $censure = censure($str);
        if ($censure) {
            $antimat[$censure] = $time;
            if (count($antimat) > 3 and isset($user) and $user['level'] == 0) { #если сделано больше 3-х предупреждений
                $prich = "Обнаружен мат: $censure";
                $timeban = $time + 60 * 60; // бан на час
                mysql_query("INSERT INTO `ban` (`id_user`, `id_ban`, `prich`, `time`) VALUES ('$user[id]', '0', '$prich', '$timeban')");
                admin_log('Пользователи', 'Бан', "Бан пользователя '[url=/panel/ban.php?id=$user[id]]$user[nick][/url]' (id#$user[id]) до " . date::time($timeban) . " по причине '$prich'");
                header('Location: /ban.php?' . SID);
                exit;
            }
            return $censure;
        } else {
            return false;
        }
    } else {
        return false;
    }
}
